Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 3 Nov 2016 09:50:41 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r308248 - user/pho/stress2/misc
Message-ID:  <201611030950.uA39of62098464@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Thu Nov  3 09:50:41 2016
New Revision: 308248
URL: https://svnweb.freebsd.org/changeset/base/308248

Log:
  Added two new test scenarios.
  
  Sponsored by:	Dell EMC Isilon

Added:
  user/pho/stress2/misc/crossmp9.sh   (contents, props changed)
  user/pho/stress2/misc/msdos6.sh   (contents, props changed)

Added: user/pho/stress2/misc/crossmp9.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/crossmp9.sh	Thu Nov  3 09:50:41 2016	(r308248)
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2016 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Parallel mount and umount of file systems, while using getfsstat(2) via
+# mount(8).
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mounts=15		# Number of parallel scripts
+cont=/tmp/crossmp.continue
+mdstart=$mdstart	# Use md unit numbers from this point
+
+if [ $# -eq 0 ]; then
+	touch $cont
+	for i in `jot $mounts`; do
+		m=$(( i + mdstart - 1 ))
+		[ ! -d ${mntpoint}$m ] && mkdir ${mntpoint}$m
+		mount | grep "$mntpoint" | grep -q md$m && umount ${mntpoint}$m
+		mdconfig -l | grep -q md$m &&  mdconfig -d -u $m
+
+		mdconfig -a -t swap -s 512m -u $m
+		bsdlabel -w md$m auto
+		newfs $newfs_flags md${m}$part > /dev/null 2>&1
+	done
+
+	# start the parallel tests
+	for i in `jot $mounts`; do
+		m=$(( i + mdstart - 1 ))
+		./$0 $m &
+		./$0 find $m &
+	done
+
+	wait
+
+	for i in `jot $mounts`; do
+		m=$(( i + mdstart - 1 ))
+		mdconfig -d -u $m
+		rm -f $D$m
+	done
+
+else
+	if [ $1 = find ]; then
+		m=$2
+		while [ -r $cont ]; do
+			df ${mntpoint}$m
+			mount
+		done > /dev/null 2>&1
+	else
+
+		# The test: Parallel mount and unmounts
+		start=`date '+%s'`
+		while [ $((`date '+%s'` - start)) -lt 300 ] ; do
+			m=$1
+			mount /dev/md${m}${part} ${mntpoint}$m
+			while mount | grep -qw ${mntpoint}$m; do
+				opt=$([ $((`date '+%s'` % 2)) -eq 0 ] && echo "-f")
+				umount $opt ${mntpoint}$m > /dev/null 2>&1
+			done
+		done
+		rm -f $cont
+	fi
+fi

Added: user/pho/stress2/misc/msdos6.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/msdos6.sh	Thu Nov  3 09:50:41 2016	(r308248)
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2016 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# Parallel mount and umount of file systems
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mounts=15		# Number of parallel scripts
+cont=/tmp/msdos6.continue
+mdstart=$mdstart	# Use md unit numbers from this point
+
+if [ $# -eq 0 ]; then
+	touch $cont
+	mycc -o /tmp/fstool -Wall -Wextra -O2 ../tools/fstool.c || exit 1
+	for i in `jot $mounts`; do
+		m=$(( i + mdstart - 1 ))
+		[ ! -d ${mntpoint}$m ] && mkdir ${mntpoint}$m
+		mount | grep "$mntpoint" | grep -q md$m && umount ${mntpoint}$m
+		mdconfig -l | grep -q md$m &&  mdconfig -d -u $m
+
+		mdconfig -a -t swap -s 1g -u $m
+		bsdlabel -w md$m auto
+		newfs_msdos -F 32 -b 8192 /dev/md${m}$part > /dev/null 2>&1
+		mount -t msdosfs /dev/md${m}${part} ${mntpoint}$m
+		(mkdir ${mntpoint}$m/test$i; cd ${mntpoint}$m/test$i; /tmp/fstool -l -f 100 -n 100 -s ${i}k)
+		umount ${mntpoint}$m > /dev/null 2>&1
+	done
+
+	# start the parallel tests
+	for i in `jot $mounts`; do
+		m=$(( i + mdstart - 1 ))
+		./$0 $m &
+		./$0 find &
+	done
+
+	wait
+
+	for i in `jot $mounts`; do
+		m=$(( i + mdstart - 1 ))
+		mdconfig -d -u $m
+	done
+	rm -f /tmp/fstool
+
+else
+	if [ $1 = find ]; then
+		while [ -r $cont ]; do
+			find ${mntpoint}* -type f > /dev/null 2>&1
+		done
+	else
+
+		# The test: Parallel mount and unmounts
+		start=`date '+%s'`
+		while [ $((`date '+%s'` - start)) -lt 300 ]; do
+			m=$1
+			mount -t msdosfs /dev/md${m}$part ${mntpoint}$m
+			while mount | grep -qw $mntpoint$m; do
+				opt=$([ $((`date '+%s'` % 2)) -eq 0 ] && echo "-f")
+				umount $opt ${mntpoint}$m > /dev/null 2>&1
+			done
+		done
+		rm -f $cont
+	fi
+fi



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201611030950.uA39of62098464>